//if deyiminin kullanimi
import javax.swing.*;
import java.awt.*;          // java pencere kullanma sinifini cagir
import java.awt.event.*;    //  java pencereyi dinleme sinifini cagir

public class karsilastirmaSWA extends JApplet implements ActionListener
{
    JLabel soru1;       //kullaniciya birinci degeri girme sorusu sorar
    JTextField girdi1;  //birinci degeri girme kutusu
    JLabel soru2;       //kullaniciya ikinci degeri girme sorusunu sorar
    JTextField girdi2;  //ikinci degeri girme kutusu
    JTextArea cikti;
    int sayi1,sayi2;   //girilen iki sayi

    //graphic kullanici baglantisindaki ilk degerleri tanimla
    public void init()
    {
       Container cerceve=getContentPane();
       cerceve.setLayout(new FlowLayout());
       soru1=new JLabel("Bir sayi giriniz       ");
       girdi1=new JTextField(10);
       soru2=new JLabel("Ikinci bir sayi giriniz");
       girdi2=new JTextField(10);
       cikti=new JTextArea(6,30);
       cerceve.add(soru1); //soru1 yazisini applete cizer
       cerceve.add(girdi1);//girdi1 kutusunu applete cizer
       cerceve.add(soru2); //soru2 yazisini applete cizer
       girdi2.addActionListener(this);
        // soru2 den sonra girdi (return) tusunu bekler
        // girdi(return) tusundan sonra actionPerformed
        // metoduna gider
       cerceve.add(girdi2); //girdi2 kutusunu applete cizer
       cerceve.add(cikti);
    }


    // eger girdi(return) tusuna basildiysa bu
    // metodu cagir
    public void actionPerformed( ActionEvent e)
    {
         // sayi 1 i girdi kutusundan oku
         sayi1=Integer.parseInt(girdi1.getText());
         // sayi 2 i girdi kutusundan oku
         sayi2=Integer.parseInt(girdi2.getText());
         String s="";
         s=s+"Karsilastirma sonuclari : \n";
       if(sayi1 == sayi2)
         s=s+sayi1+" == "+sayi2;
       if(sayi1 != sayi2)
         s=s+sayi1+" != "+sayi2;
       if(sayi1 < sayi2)
         s=s+sayi1+" <  "+sayi2;
       if(sayi1 > sayi2)
         s=s+sayi1+" >  ";
       if(sayi1 <= sayi2)
         s=s+sayi1+" <= "+sayi2;
       if(sayi1 >= sayi2)
         s=s+sayi1+" >= "+sayi2;
         cikti.setText(s);
         repaint();
    }
}
